MinSizeConstraint (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class MinSizeConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.MinSizeConstraint

    public class MinSizeConstraint
    extends AbstractConstraint

Validates minimum size or length of the property, for strings and arrays this is the length and collections the size.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Method Summary
`int` | `getMinSize()` @return Returns the minSize.
`java.lang.String` | `getName()`
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
`void` | `setParameter(java.lang.Object constraintParameter)`
`boolean` | `supports(java.lang.Class type)`

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getMinSize

    public int getMinSize()

  Returns:
    Returns the minSize.

### getName

    public java.lang.String getName()

### processValidate

    @java.lang.Override
    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

### setParameter

    @java.lang.Override
    public void setParameter(java.lang.Object constraintParameter)

### supports

    @java.lang.SuppressWarnings("rawtypes")
    public boolean supports(java.lang.Class type)

Groovy Documentation